Preguntas frecuentes de Joomla 3

This page is a translated version of the page Joomla 3 FAQ and the translation is 100% complete.

Other languages:
العربية • ‎Deutsch • ‎English • ‎español • ‎فارسی • ‎français • ‎Bahasa Indonesia • ‎Nederlands • ‎português • ‎português do Brasil • ‎русский • ‎svenska • ‎ไทย

¿Cuáles son las diferencias entre Joomla! 2.5 y la 3.x?

La diferencia más notable es una zona administrativa totalmente renovada, que se ha actualizado a un diseño moderno con muchas interfaces de usuario más simples y amigables. También, a partir de Joomla 3.0, el CMS es adaptable a dispositivos móviles. Sencillamente, Joomla es amigable con estos dispositivos y puede ser usado en cualquier dispositivo moderno.

Además, hay docenas de mejoras para los detalles de todo el nćleo de Joomla. Algunos de los aspectos más destacados son:

  • Un nuevo instalador que descubrirá al crear una nueva instalación de Joomla! 3.x.
  • Joomla! 3 viene empaquetado con algunas "golosinas" para los desarrolladores de extensiones, como soporte para Bootstrap y jQuery.

Joomla! 3.1

  • Etiquetas

Joomla! 3.2

  • Control de versiones del contenido
  • Muchas mejoras en el interfaz de usuario
  • Instalación fácil de multidioma, con compatibilidad con 64 idiomas
  • Integración del Buscador de Extensiones Joomla! como una interfaz en el sitio del Directorio de Extensiones de Joomla! (que actualmente están listadas más de 8000 extensiones) que proporciona la instalación de las extensiones en un solo clic
  • Aumento de la seguridad con contraseñas seguras y autenticación en dos pasos
  • Nuevo framework de desarrollo rápido para la nueva codificación de las extensiones

Joomla! 3.3

  • Microdatos

Joomla! 3.4

  • Módulo de Edición desde la interfaz de usuario,
  • Desacoplamiento de com_weblinks,
  • Integración de Composer,
  • No CAPTCHA reCAPTCHA,
  • Normalización del Núcleo en-GB

Joomla! 3.5

  • Soporte de PHP 7
  • Notificación de actualizaciones a través de Correo electrónico
  • Sistema de información de exportación
  • Arrastrar y soltar imágenes
  • Envío anónimo de datos del sistema
  • Insertar fácilmente los módulos en los artículos
  • Contador de elementos (+ clic a través de un filtro) en la categoría administrador
  • Categoría blog y orden de la lista de vistas al azar.

Joomla! 3.6

  • Mostrar todos los elementos de menú
  • ACL en los menús
  • Experiencia de usuario mejorada
  • Creación de categorías sobre la marcha
  • Campo de subformulario
  • Actualizaciones de Joomla! mejoradas
  • Permitir conexiones stream para soportar proxys
  • Construir consultas a la base de datos más complejas con las nuevas clases de consulta de base de datos
  • Borrar toda la caché
  • Borrar y reconstruir la lista de sitios de actualización de extensiones
  • Desarrollo de plantillas más sencillo gracias a nuevas integraciones de JLayout
  • Autenticación de htaccess para llamadas
  • Mejoras en el almacenamiento de variables JavaScript dinámicas
  • Mejoras en el rendimiento de la validación
  • jQuery actualizado
  • Más detalles de las extensiones en información del sistema
  • Términos de servicio multilingües
  • Nueva opción "Showon" para fieldsets en la configuración del componente
  • Nueva carpeta de registro (Log)
  • Nueva configuración de posicionamiento para los tooltips extendidos de Bootstrap
  • Protostar tiene un nuevo override para la página de Sitio fuera de servicio (Offline)
  • Soporte de caché inverso
  • Soporte de archivos SASS & SCSS en el administrador de plantillas de Joomla!
  • Editor CodeMirror actualizado

Joomla! 3.7

  • Custom Fields
  • Multilingual Associations Component
  • Article creation within the menu item
  • Backend Menu Manager
  • TinyMCE Improvements
  • Share sessions between backend and frontend
  • Allow packages to declare that their child extensions cannot be uninstalled
  • List of all new features



¿Durante cuánto tiempo es soportada cada versión de Joomla?

Joomla! 
3.8.1
Versión Estable

Esta página ofrece un resumen de la estrategia de desarrollo actual publicada el 25 de abril de 2014. Todas las versiones de Joomla anteriores al 25 de abril de 2014 han sido desarrolladas siguiendo el antiguo ciclo de desarrollo y soporte. Deberías leer el texto completo del artículo estrategia de desarrollo de Joomla para una explicación más detallada.

Joomla! se desarrolla siguiendo Versionamiento Semántico (2.0.0). El uso de LTS (Long Term Support - Soporte de Larga Duración) y STS (Short Term Support - Soporte de Corta Duración) ya no es relevante. Los términos que se encuentran inmediatamente debajo serán usados para mayor claridad. Deberías entender estos términos y sus significados.

  • soportada - la última versión menor de una versión mayor recibirá parches que incluirán correcciones tanto de problemas generales como de seguridad
  • actual - la versión major.minor.patch más joven o reciente en relación a la fecha de lanzamiento oficial
  • obsoleta - cualquier versión major.minor.patch que no sea la actual[1]
  • estable - versión mayor lista para ser usada en sitios en producción, implícita en las versiones "actual" y "obsoleta"[2]
  • EOS - acrónimo para 'end of support (fin del soporte)', que indica que no se lanzarán más parches para solucionar problemas generales o de seguridad.
  • EOL - acrónimo para 'end of life (fin de vida útil)', que indica lo mismo que EOS[3]

Cada versión mayor de Joomla! recibe soporte del Proyecto Joomla!TM durante un espacio de tiempo limitado, contando desde la fecha en la que dicha versión es lanzada oficialmente. Joomla desarrollará activamente cada versión mayor durante un mínimo de 2 años. Esto puede ser seguido por el desarrollo continuo de una versión mayor según lo planificado en su hoja de ruta.[4]Un breve resumen sería:

  • cada versión mayor tendrá un mínimo de 4 años de soporte
  • siempre deberías usar o actualizar a la última versión minor.patch de la versión mayor estable
  • cada actualización de la versión menor que se lance será compatible hacia atrás con la versión menor previa[5]

Por favor usa la Hoja de ruta del desarrollo del CMS Joomla! o la tabla de Versiones del CMS Joomla! para determinar el EOS (fin de soporte) para cada versión major.minor o para la versión mayor al completo.

Explicación de la numeración de las versiones

Los identificadores de cada versión de Joomla siguen una convención numérica de tres niveles, en la que los niveles se definen por la importancia de los cambios en el software.

[major].[minor].[patch]

Estos tres niveles se definen como:

  1. Un incremento en el identificador de versión major (mayor) indica una ruptura de la compatibilidad hacia atrás.
  2. Un incremento en el identificador de versión minor (menor) indica la adición de nuevas características o un cambio significativo en características existentes.
  3. Un incremento en el identificador de versión patch (parche) indica que se han corregido fallos.

Ejemplos

Estás usando la versión 3.3.6 de Joomla. Esto significa que tu versión es versión mayor 3, versión menor 3, y versión parche 6. Si se lanza un parche para la 3.3.6, tu versión de Joomla se incrementaría a la 3.3.7. Si se lanza una nueva versión menor para la versión mayor 3, tu nueva versión de Joomla sería la 3.4.0. Esta página siempre mostrará la versión actual estable soportada de Joomla, incluyendo las versiones menor y de parche, en la esquina superior derecha.


Estoy construyendo un sitio web nuevo. ¿Debería lanzarlo con Joomla! 2.5 o 3.x?

Joomla! 2.5 alcanzó el fin de su soporte (EOS - end of support) el 31 de diciembre de 2014. Esto significa que desde ese día no recibirá más atención o soporte por parte del Proyecto Joomla!. No habrá más versiones de mantenimiento o de seguridad. De modo que no debería empezar un sitio nuevo con Joomla! 2.5, sino siempre con Joomla! 3.3 o superior.

Sites that are currently on Joomla! 2.5 are encouraged to start planning now for a migration to 3.3 or greater now. We’ve provided a one-click upgrade from Joomla! 2.5 to any Joomla! 3 version and you just have to make sure that all your extensions and template are compatible with Joomla! 3.x before upgrading. See Planning for Mini-Migration - Joomla 2.5 to 3.x (See the “How do I find Joomla 3.x compatible extensions?” FAQ below for more information)

Ver también: ¿Por qué migrar? y todas las páginas relacionadas.


Si lanzo un sitio con Joomla! 3, ¿podré instalar extensiones?

Sí, podrá instalar extensiones compatibles con Joomla! 3.x. El Directorio de Extensiones Joomla! (JED) tiene un icono para extensiones compatibles con Joomla 3.x para saber cuáles lo son; sin embargo, el mejor sitio para comprobarlo es el sitio web del desarrollador de cada extensión.


¿Cómo puedo obtener una plantilla para Joomla! 3.x?

Hay empresas de plantillas que ya están ofreciendo plantillas para Joomla! 3, aprovechando la posibilidad del diseño responsivo que tiene esta serie. Además, debe tener en cuenta que algunas plantillas para Joomla! 2.5 también van bien con la serie 3, sin necesitar cambios y sin problemas, pero algunas no. Lo mejor, es consultar a los desarrolladores de la plantilla.


¿Cómo puedo encontrar extensiones compatibles con Joomla 3.x?

Visite Directorio de Extensiones de Joomla!™ (JED), donde podrá ver iconos como este Joomla 3.0 para hacerle saber que las extensiones son compatibles con Joomla 3.x; sin embargo, el mejor lugar para comprobarlo es el sitio del desarrollador de la extensión.


¿Seguirán funcionando mis extensiones de Joomla! 2.5 en Joomla! 3.x?

Joomla! 
3.x
series

Las extensiones que sean nativas para Joomla! 2.5 deberían funcionar con muy pocos cambios en Joomla! 3.0, si es que necesitan alguno. Los componentes y las plantillas necesitarán más trabajo, mientras que módulos y plugins deberían funcionar sin ningún problema (asumiendo que no usen métodos obsoletos). Las extensiones que soporten Joomla! 2.5 y 1.5 en el mismo paquete seguramente no funcionarán de inmediato, hasta que los desarrolladores las actualicen para darles compatibilidad con Joomla! 3.

En definitiva, dependerá de la extensión. El Proyecto Joomla! ha hecho el proceso relativamente sencillo para la mayoría de extensiones; sin embargo, para algunas extensiones va a requerir algo de trabajo. Para estar seguro, haga saber a los desarrolladores de extensiones que quiere usar sus extensiones en Joomla 3 y consulte su documentación.


¿Qué pasa si lanzo un sitio web con Joomla! 3.x, pero la extensión que quiero es para la versión 2.5?

Necesita hablar con el desarrollador de la extensión para ver si tiene planeado lanzar una versión de la extensión para Joomla! 3 en un futuro inmediato. Los desarrolladores tienen quehacer algunos cambios, pero cómo de extensos deben ser éstos dependerá de la extensión.


¿Debería actualizar de Joomla! 2.5 a la 3.x?

En la mayoría de los casos, debería empezar a planificar la actualización a Joomla 3.x tan pronto como sea posible. Joomla! 2.5 alcanzó el estado EOS (End Of Support - Fin del Soporte) el 31 de diciembre de 2014. Joomla 3 es estable y debería ser la opción elegida para sitios web en producción.

Tendrá que verificar que su plantilla y componentes funcionarán con Joomla! 3.x antes de actualizar. Todos los componentes del núcleo están listos para ser actualizados ahora mismo.

Por favor vea ¿Por qué migrar? para más detalles acerca de la migración de la 2.5 a la 3.x.


Tengo un sitio con la 2.5 y veo que el gestor de actualizaciones de Joomla! me deja actualizar a la 3.x... ¿debería hacerlo?

No lo haga a menos que esté 1000% seguro. Por defecto, Joomla no le dejará actualizar a la 3.x a menos que active la opción en el componente de Actualización de Joomla! (administrador >> Componente >> Actualización de Joomla >> Opciones >> Servidor de actualización >> Soporte de corta duración). Si por algún motivo usted ha cambiado esto y quiere que el actualizador deje de mostrarle la actualización, cambie la configuración a Soporte de Larga Duración. Tras hacer el cambio, sólo recibirá actualizaciones para Joomla! 2.5.

Aviso: No debería actualizar desde Joomla! 2.5 a Joomla! 3.x a menos que esté seguro de que las extensiones adicionales que tenga instaladas (extensiones desarrolladas por terceros), especialmente plantillas, están preparadas para Joomla 3.x o tienen una versión para Joomla 3.x a la que puede actualizar. Sólo debería actualizar de Joomla 2.5 a la 3.x en un sitio de desarrollo, y no en su sitio en vivo. Vea ¿Por qué migrar? y siga las páginas para más información sobre cómo actualizar desde la 2.5 a la 3.x.


¿Qué es lo que viene después de Joomla 3.0?

Joomla! 3.1, 3.2, 3.3, 3.4 y más. La nueva estrategia de desarrollo de Joomla ha sido anunciada aquí, por favor lea el texto completo de la estrategia de desarrollo (en inglés) para más información.

A modo de resumen rápido, si está usando cualquier versión de Joomla! que no sea 3.8.1, debería considerar actualizar o migrar ¡tan pronto como le sea posible!. Ya no habrá más versiones con soporte de larga duración (LTS) identificadas con un .5 en su numeración. A partir de ahora, la última versión de Joomla liberada es el equivalente a la versión LTS. Vea el artículo versiones del CMS Joomla! para tener un listado de las versiones actuales y futuras.

Joomla! 1.5 no ha recibido soporte desde el final de 2012, y Joomla! 2.5 alcanzó el estado EOS (end of support - fin del soporte) el 31 de Diciembre de 2014. Sencillamente, debería estar usando Joomla! 3.8.1.


Vale, estoy listo y quiero actualizar. ¿Cómo llevo a cabo la actualización?

  • En primer lugar, revise los Requisitos del sistema para Joomla! 3.x y asegúrese de que el servidor cumple con los requisitos necesarios.
  • En segundo lugar, asegúrese de que todas sus extensiones (en especial, sus plantillas) son compatibles con Joomla 3.x.
  • En tercer lugar, crear un sitio de prueba y probar la actualización primero en el sitio de prueba.
  • Cuarto, consulte a un desarrollador de confianza si no estás 100% seguro de nada.
  • En quinto lugar, hacer una copia de seguridad completa del sitio (archivos y base de datos).

Una vez listo, vaya al componente de actualización de Joomla!. Haga clic en Opciones y cambie la configuración de soporte, a corto plazo. Guarde los cambios. Debe ver un mensaje conforme Joomla 3.x está disponible. Haga clic en el botón para instalar. Vacíe la caché del navegador para asegurarse de que vea los últimos cambios. ¡Eso es todo!

Por último, vuelva a comprobar y asegúrese de que todo funciona correctamente.

Vea los artículos Planificación para la Mini-Migración de Joomla! 2,5 a la 3.x y Migración paso a paso de Joomla! 2.5 a la 3.x para obtener instrucciones detalladas.

Nota: En algunos servidores puede que tenga que utilizar métodos de actualización alternativos como el uso del instalador de extensiones.


Pero, ¿qué pasa si estoy usando Joomla 1.5? ¿Dejará de funcionar mi sitio? ¿Debo migrar a la 2.5 o a la versión actual de la rama 3?

Vale, una última pregunta: ¿dónde puedo obtener más información sobre Joomla 3?

Puede obtener más información en http://www.joomla.org/3.


¡Esperamos que disfrute de Joomla 3 tanto como nosotros! Gracias por leer esta sección de preguntas frecuentes.

Referencias

  1. Ten en cuenta que el término "obsoleta" se usa únicamente para designar el estado de una versión en relación a la actual. Los usuarios y desarrolladores deberían fijarse en la fecha EOS (fin de soporte) para determinar la viabilidad se seguir usando o no una versión marcada como obsoleta.
  2. Las versiones marcadas como alfa, beta o rc (release candidate - versión candidata) sólo deberían usarse para hacer pruebas.
  3. Se pueden usar EOS o EOL indistintamente. Cualquiera de ambos términos indica el 'fin del soporte' y nada más. No confundir el significado de 'EOL' con que el software dejará de funcionar.
  4. La explicación completa de las versiones soportadas puede encontrarse en el apartado 4.3 Supported releases del documento sobre la estrategia de desarrollo de Joomla (en inglés).
  5. Una extensión instalada en la versión major.0.x funcionará en la versión major.7.x. Las extensiones o plantillas son desarrolladas por terceros, y la publicación de sus actualizaciones son responsabilidad de cada desarrollador. La instalación de las actualizaciones de las extensiones o plantillas son responsabilidad del usuario.
Advertisement